## org.apache.hadoop.fs.s3
Class MigrationTool

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.fs.s3.MigrationTool

All Implemented Interfaces:
  Configurable, Tool

    public class MigrationTool

extends Configured
implements Tool

This class is a tool for migrating data from an older to a newer version of an S3 filesystem.

All files in the filesystem are migrated by re-writing the block metadata - no datafiles are touched.

Constructor Summary
`MigrationTool()`

Method Summary
`void` `initialize(URI uri)`
`static void` `main(String[] args)`
`int` `run(String[] args)` Execute the command with the given arguments.

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### MigrationTool

    public MigrationTool()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public int run(String[] args)
            throws Exception

  Description copied from interface: `Tool`
  Execute the command with the given arguments.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command specific arguments.
  Returns:
    exit code.
  Throws:
    `Exception`

### initialize

    public void initialize(URI uri)
                    throws IOException

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation